ui.controller

## Class StoreController

- java.lang.Object
- - ui.controller.StoreController

-     public class StoreController
      extends java.lang.Object

  Controller for Storage.
  Author:
    Gruppe14

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoreController(Model model)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getObjectType(AbstractCpsObject cps)` Return the Object Type.
    `void` | `writeCanvasElements(org.json.simple.JSONObject json)` Write Canvas Elements.
    `void` | `writeCanvasFile(java.lang.String path)` Write the Canvas File.
    `void` | `writeCanvasObjects(org.json.simple.JSONObject json)` Wrte Canvas Objects.
    `void` | `writeCategory(org.json.simple.JSONObject json)` writes all Categories into a JSONObject.
    `void` | `writeCategoryElements(org.json.simple.JSONObject json)` writes all Elements in Objects in Category into a JSONObject.
    `void` | `writeCategoryFile(java.lang.String path)` Write the Category File.
    `void` | `writeCategoryObjects(org.json.simple.JSONObject json)` writes all Objects in Category into a JSONObject.
    `void` | `writeEdges(org.json.simple.JSONObject json)` write all Edges into a JSONObject.
    `void` | `writeElementGraph(org.json.simple.JSONObject json)` writes the Graph from all Elements into a JSONObject.
    `void` | `writeSaveFile(java.lang.String path)` Writes the current State of the Modelling into a JSON File which can be loaded.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StoreController

          public StoreController(Model model)

      Constructor.
      Parameters:
        `model` - the Model

  - ### Method Detail

    - #### writeSaveFile

          public void writeSaveFile(java.lang.String path)
                             throws java.io.IOException

      Writes the current State of the Modelling into a JSON File which can be loaded.
      Parameters:
        `path` - the Path
      Throws:
        `java.io.IOException` - exception

    - #### writeCanvasFile

          public void writeCanvasFile(java.lang.String path)
                               throws java.io.IOException

      Write the Canvas File.
      Parameters:
        `path` - the Path
      Throws:
        `java.io.IOException` - Exception

    - #### writeCategoryFile

          public void writeCategoryFile(java.lang.String path)
                                 throws java.io.IOException

      Write the Category File.
      Parameters:
        `path` - the Path
      Throws:
        `java.io.IOException` - exception

    - #### writeCategory

          public void writeCategory(org.json.simple.JSONObject json)

      writes all Categories into a JSONObject.
      Parameters:
        `json` - JSON Object
      Throws:
        `java.io.IOException` - exception

    - #### writeCategoryObjects

          public void writeCategoryObjects(org.json.simple.JSONObject json)

      writes all Objects in Category into a JSONObject.
      Parameters:
        `json` - JSON Object

    - #### writeCanvasObjects

          public void writeCanvasObjects(org.json.simple.JSONObject json)

      Wrte Canvas Objects.
      Parameters:
        `json` - JSON Object

    - #### writeCategoryElements

          public void writeCategoryElements(org.json.simple.JSONObject json)

      writes all Elements in Objects in Category into a JSONObject.
      Parameters:
        `json` - JSON Object

    - #### writeCanvasElements

          public void writeCanvasElements(org.json.simple.JSONObject json)

      Write Canvas Elements.
      Parameters:
        `json` - JSON Objects

    - #### writeEdges

          public void writeEdges(org.json.simple.JSONObject json)

      write all Edges into a JSONObject.
      Parameters:
        `json` - JSON Object

    - #### writeElementGraph

          public void writeElementGraph(org.json.simple.JSONObject json)

      writes the Graph from all Elements into a JSONObject.
      Parameters:
        `json` - JSON Object

    - #### getObjectType

          public java.lang.String getObjectType(AbstractCpsObject cps)

      Return the Object Type.
      Parameters:
        `cps` - AbstractCpsObject
      Returns:
        The Object Type